tisdag 6 november 2018

Blender 2.80

The development version now runs on Blender 2.80. Or at least it runs on the version of Blender 2.80 that I downloaded a few days ago. There are still some issues, but most features seems to work as they do in Blender 2.79.

The most obvious difference is that the DAZ tab has moved from the T-shelf on the left of the viewport to the N-shelf on the right side. Not sure why add-ons cannot define tabs in the Tools shelf anymore, but so it is. Here is the same character imported into Blender 2.79 and Blender 2.80:

Blender 2.79


Blender 2.80
The development version can be downloaded from https://bitbucket.org/Diffeomorphic/import-daz.

The same changes have also been implemented on two of my other add-ons:
MakeWalk: https://bitbucket.org/Diffeomorphic/makewalk
MHX 2 importer: https://bitbucket.org/Diffeomorphic/mhx2-makehuman-exchange
Those add-ons are not really supported anymore, but at least the basic features now work under Blender 2.80.

11 kommentarer:

  1. How did you get those tabs?! I dont find them anywhere and i would really like to use your importer for Blender 2.80, since i got it to run nicely.

    SvaraRadera
    Svar
    1. key [N] (right pane)
      key [T] for the tools (left pane) by the way ;-)

      Radera
  2. It's so great to use your addon on 2.8 version. Thank you so much!
    I think my version is a bit earlier than the one you used here. Everything has work for me too, except the conversion to rigify, neither the meta rig.
    Anyway thank you so much for sharing such a great addon

    SvaraRadera
  3. Here is the error by the way if it's help. looks like the api has changed another time :-)
    I a using the last blender beta 2.8 at this date
    ________________________________________________________
    Traceback (most recent call last):
    File "C:\Users\xxx\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\Diffeomorphic-import-daz-6e0aedf83024\rigify.py", line 1087, in execute
    self.rigifyDaz(context)
    File "C:\Users\xxx\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\Diffeomorphic-import-daz-6e0aedf83024\rigify.py", line 1100, in rigifyDaz
    createMeta(context)
    File "C:\Users\xxx\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\Diffeomorphic-import-daz-6e0aedf83024\rigify.py", line 604, in createMeta
    rig.select = True
    AttributeError: 'Object' object has no attribute 'select'

    location: :-1

    SvaraRadera
    Svar
    1. Finally got around to check the Rigify code. Should work now.

      Radera
  4. Just tested on 2.79 and it worked perfectly, even with a complex character. You should consider launching a commercial version of this add-on via Blender Market. I would really need a stable add-on for Daz Studio. Regards.

    SvaraRadera
  5. Hello Thomas this is a fantastic add-on It works great on Blender 2.8.

    I just wanted to let you know that for me after "blender-2.80.0-git.0bbff8a71138-windows64" the add-on will not work there are some script missing issues. I actually uninstalled all the versions of 2.8 I had and the above one is the latest one to work.

    SvaraRadera
  6. I couldn't get it to work on Blender 2.8, I get several error messages when trying to load a BVH for Rigify. It probably works with older versions of 2.8? Hope to be able to use it soon. Would definitely pay for it if it did!

    SvaraRadera
  7. Not sure if it's just me but for the MakeWalk addon. I had to change line 172 in load.py from "context.scene.update()" to "context.evaluated_depsgraph_get()" for it to work in blender2.8. Hope this helps someone else.

    SvaraRadera